Foreman - Bug #15416

Update untouched templates during seed
06/14/2016 02:31 PM - Stephen Benjamin

Status: Closed
Priority: Normal
Assignee: Stephen Benjamin
Category: Templates
Target version: 1.13.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1344689 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3590
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1344689
Description of problem:
| was trying host provisioning and it failed at the step where anaconda fetches the kickstart file to install

2016-06-10 07:06:07 [app] [I] Started GET "/unattended/provision?token=fffc010f-6066-4858-a7be-22c
0a78e18d4" for 10.8.119.2 at 2016-06-10 07:06:07 —0400
2016-06-10 07:06:07 [app] [I] Processing by UnattendedController#host_template as */*
2016-06-10 07:06:07 [app] I[I] Parameters: {"token"=>"fffc010f-6066-4858-a7be-22c0a78e18d4", "kin
d"=>"provision"}
2016-06-10 07:06:07 [app] [I] Found testhost5.satge.lab.eng.rdu2.redhat.com
2016-06-10 07:06:10 [app] [I] Rendered inline template (192.5ms)
2016-06-10 07:06:10 [app] [W] There was an error rendering the Satellite Kickstart Default templat
e:

| ActionView::Template::Error: The snippet 'kickstart_networking_setup' threw an error: undefined
method 'has_primary_interface?' for Host::Managed::Jail (Host::Managed)

| /usr/share/foreman/lib/foreman/renderer.rb:87:in "rescue in snippet'

| /usr/share/foreman/lib/foreman/renderer.rb:84:in " snippet'

| /opt/theforeman/tfm/root/usr/share/gems/gems/safemode-1.2.3/1ib/safemode/scope.rb:37:1in ‘method
_missing'

| /opt/theforeman/tfm/root/usr/share/gems/gems/safemode-1.2.3/1ib/safemode.rb:141:in “bind'

| /opt/theforeman/tfm/root/usr/share/gems/gems/safemode-1.2.3/1lib/safemode.rb:51:in “eval'

| /opt/theforeman/tfm/root/usr/share/gems/gems/safemode-1.2.3/1lib/safemode.rb:51:in “eval'

| /usr/share/foreman/lib/foreman/renderer.rb:19:in "“render_safe'

| /usr/share/foreman/lib/foreman/renderer.rb:113:in “unattended_render'

| inline template:l:in ~_ff473c662c18b41d954417657abc7d94"

| /opt/rh/rh-ror4l/root/usr/share/gems/gems/actionview-4.1.5/1ib/action_view/template.rb:145:in °
block in render'

| /opt/rh/rh-rord4l/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/notifications.
rb:161:in "“instrument'

| /opt/rh/rh-ror4l/root/usr/share/gems/gems/actionview—4.1.5/1lib/action_view/template.rb:339:in °
instrument'

| /opt/rh/rh-rord4l/root/usr/share/gems/gems/actionview—4.1.5/1ib/action_view/template.rb:143:in °
render’

| /opt/theforeman/tfm/root/usr/share/gems/gems/deface-1.0.2/1ib/deface/action_view_extensions.rb:
41:in “render'

Version-Release number of selected component (if applicable):
upgrade sat6.1.9 -> sat6.2 Ga snap15.1 on rhel7

How reproducible:
Steps to Reproduce:

1. upgrade satellite 6.1.9 -> 6.2
2. re-run the installer to enable dns, dhcp features
3. create new host

Actual results:
host provisioning failed

Expected results:
provisioning should work

Additional info:

Related issues:
Related to Foreman - Bug #18639: All templates that are shipped with Foreman ... Closed 02/23/2017

Associated revisions

Revision d4ed7015 - 06/15/2016 03:30 AM - Stephen Benjamin

fixes #15416 - update untouched templates during seed

During upgrades, we run db:seeds again, but provisioning templates
are never updated again after the first time. This causes issues

like when those templates cease working with the newer versions of
Foreman. So, this PR updates the contents of the templates if a
user has never modified them.

History

#1 - 06/14/2016 02:42 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3590 added

#2 - 06/15/2016 02:15 AM - Marek Hulan

- Subject changed from [upgrade] Host provisioning failed due to: an error rendering the Satellite Kickstart Default template to Update untouched
templates during seed

- Category set to Templates

If the template does not have any audit record, we can update it with newer version during the seed.

#3 - 06/15/2016 02:53 AM - Dominic Cleal

- Description updated

#4 - 06/15/2016 04:01 AM - Stephen Benjamin
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset d4ed70154{a9f6c83597adc784240e3865845563.

#5 - 06/15/2016 04:29 AM - Dominic Cleal

- translation missing: en.field_release set to 160

#6 - 02/23/2017 07:09 AM - Marek Hulan
- Related to Bug #18639: All templates that are shipped with Foreman should be locked by default added
